package com.ruoyi.system.service;

import com.ruoyi.system.domain.HyDictionary;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface IYtjService {

    /**
     * 是否存在此人员信息
     * @param sfzh:身份证号码
     * @return
     */
    int IfExistsRen(String sfzh);

    /**
     * 得到区划
     * @return
     */
    List<Map> GetQh();
    /**
     * 根据pid查找区划
     * @return
     */
    List<Map>  GetQu(String pid) throws UnsupportedEncodingException;

    /**
     * 遍历行业类
     * @return
     * @throws UnsupportedEncodingException
     */
    List<Map>  GetHy() throws UnsupportedEncodingException;

    /**
     * 根据父类id查找子类行业
     * @param pid
     * @return
     * @throws UnsupportedEncodingException
     */
    List<HyDictionary>  GetChildHy(String pid) throws UnsupportedEncodingException;

    /**
     * 查询行业名称
     * @param name
     * @return
     * @throws UnsupportedEncodingException
     */
    List<HyDictionary>  GetHymc(String name) throws UnsupportedEncodingException;
    /**
     * 查找组织形式
     * @param name  组织形式名称
     * @return
     * @throws UnsupportedEncodingException
     */
    List<HyDictionary> GetZzxx(String name) throws UnsupportedEncodingException;

    /**
     * 提交身份信息
     * @param sfzm 名称
     * @param tximg 头像
     * @param sfzh sfz号码
     * @param sfzdz 地址
     * @param sjhm 手机号
     * @return
     */
    int SubmitCard(String sfzm, String tximg, String sfzh, String sfzdz, String sjhm);

    /**
     * 得到身份信息根据身份证号码
     * @param hm 身份证号码
     * @return
     * @throws UnsupportedEncodingException
     */
    Map GetUserCard(String hm) throws UnsupportedEncodingException ;

    /**
     * 检测字号
     * @param b 现有字号
     * @param zwzh1 字号1
     * @param zwzh2 2
     * @param zwzh3 3
     * @param c 行业
     * @return
     */
    String Check(String b, String zwzh1, String zwzh2, String zwzh3, String c);

    /**
     * 查找经营范围
     * @param a
     * @return
     * @throws UnsupportedEncodingException
     */
    List<Map> GetFw(String a) throws UnsupportedEncodingException;

    /**
     * 根据行业id查找材料
     * @param hyid
     * @return
     * @throws UnsupportedEncodingException
     */
    List<Map> GetCailiao(String hyid) throws UnsupportedEncodingException;

    /**
     *  提交材料信息
     * @param bsid  BSID
     * @param clname   材料名称
     * @param clindex
     * @param clsrc
     * @return
     */
    int SendCailiao(String bsid, String clname, String clindex, String clsrc);

    /**
     * 根据材料名称 bsid 删除数据
     * @param bsid
     * @param clname
     * @param clindex
     * @return
     * @throws UnsupportedEncodingException
     */
    int DelCailiao(String bsid, String clname, String clindex) throws UnsupportedEncodingException;

    /**
     * 提交填写的表单信息
     * @param request
     * @return
     * @throws UnsupportedEncodingException
     */
    int SubmitForm(HttpServletRequest request) throws UnsupportedEncodingException;

    /**
     * 所有审核中的个数
     * @return
     * @throws UnsupportedEncodingException
     */
    int GetShenHeNum() throws UnsupportedEncodingException;

    /**
     * 根据号码得到身份证信息
     * @param hm
     * @return
     * @throws UnsupportedEncodingException
     */
    Map GetCardInfo(String hm) throws UnsupportedEncodingException ;

    /**
     * 根据行业唯一id 查找名称
     * @param pid
     * @return
     * @throws UnsupportedEncodingException
     */
    String GetHyname(String pid) throws UnsupportedEncodingException ;


	List<String> CheckRz(String card, String name, HttpServletResponse response);


    String selectByRemark(String remark);
}
